<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Exception;

use App\Shared\Domain\Tenant\TenantId;
use App\SuperAdmin\Domain\Model\Establishment\EstablishmentId;
use DomainException;

use function sprintf;

final class EstablishmentIntrouvableException extends DomainException
{
    public static function avecId(EstablishmentId $id): self
    {
        return new self(
            sprintf('Établissement introuvable avec l\'id %s.', $id),
        );
    }

    public static function avecTenantId(TenantId $tenantId): self
    {
        return new self(
            sprintf('Établissement introuvable avec le tenant_id %s.', $tenantId),
        );
    }
}
